

<nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <div class="navbar-brand">Visaal</div>
    </div>
    <ul class="nav navbar-nav navbar-right">
      <li><a (click)="accueil()"><span class="glyphicon glyphicon-home"></span> Accueil</a></li>
      <li><a (click)="disco()"><span class="glyphicon glyphicon-log-out"></span> Sign Out</a></li>
    </ul>
  </div>
</nav>

<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>
<h1 class="text-center" style="text-align:center">
  Bienvenue chez Kahines Concept!
</h1>
<!--<p>
  <button id="loginOut" (click)="seDeconnecter()">
    Se déconnecter
  </button>
</p>-->
<div class="container">
  <div class="container col-m-12">

    <!-- SideBar--->
    <div class="sidenav">
      <div *ngIf="authService.currentUser">
        <h5 class="text-primary soignant">Le Soignant</h5>
        <!--<h4>
          <strong>ID:</strong> {{ authService.currentUserId }}
        </h4>-->
        <h4>
          <strong>Email:</strong> {{ authService.currentUserName }}
        </h4>
        <br>
        <div>
          <button (click)="listePatient()" class="btn btn-info">Gérer les Patients</button>
        </div>
        <br>
        <div>
          <button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button>
        </div>
        <br>
        <!--<div>
          <button (click)="updatePatient()" class="btn btn-info">Modifier un patient</button>
        </div>-->
        <div>
        <div>
          <button (click)="listSoignant()" class="btn btn-info">Gérer les soignants</button>
        </div>
        <br>
        <div>
          <button (click)="addSoignant()" class="btn btn-info">Ajouter un soignant</button>
        </div>
        <br>
        </div>
        <br>
        <button (click)="disco()" class="btn btn-info">Deconnexion</button>
      </div>
    </div>
<div class="main-table">
  <h2>liste des Soignants</h2>
  <div class="table-responsive table-container">
    <div class="form-group">
      <input type="text" class="form-control" placeholder="Rechercher un patient" [(ngModel)]="filterTerm">
    </div>
    <table class="table table-dark table-hover table-striped">
      <thead class="thead-light">
      <tr>
        <th>Civilité</th>
        <th>Nom</th>
        <th>Prenom</th>
        <th>Service</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let soignant of soignants | filter:filterTerm">
        <td>{{soignant.sex}}</td>
        <td>{{soignant.lastName}}</td>
        <td>{{soignant.firstName}}</td>
        <td>{{soignant.service}}</td>
        <!--<td>{{soignant.action}}</td>-->
        <td>
          <button (click)="deletSoignant(soignant)" style="margin-left: 20px;" class="btn btn-info"> Supprimer</button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
  </div>
</div>
